Bug 267996 - "Modify Tool Collection Path" check box doesn't work if "Use Build Analyzer" check box is switched on
"Modify Tool Collection Path" check box doesn't work if "Use Build Analyzer" ...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project Discovery
Dev
PC Windows 7
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-13 13:17 UTC by soldatov
Modified: 2016-12-09 14:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-09-13 13:17:40 UTC
Makefile
==========================================
test: test.cc
	@echo "New PATH = ${PATH} (build)"
	g++ -g -o test test.cc

clean:
	rm -f test test.exe

test.cc
==========================================
#include <iostream>
#include <cstdlib>

int main(int argc, char** argv) {
    std::cout << "New PATH = " << getenv("PATH") << " (run)" << std::endl;
    return 0;
}

==========================================

Scenario:
- Create new "C/C++ Project with Existing Sources" project
- Push Tools|Options menu item
- Select C/C++ > Build Tools tab and press $PATH button
- Add "C:/tmp;" to both text fields
- Press OK button
- Press OK button
- Call Project Properties window and switch off "Modify Tool Collection Path" check box
- Build project
==> on Windows (MacOSX??) I see "C:/tmp" folder in Build tab too

Workaround: Switch off "Code Assistance|Use Build Analyzer" too.
Comment 1 Alexander Simon 2016-11-10 15:01:15 UTC
fixed in enum, branch release82, change set: d4ff4850cc2e
Comment 2 Quality Engineering 2016-11-16 02:51:05 UTC
Integrated into 'main-silver', will be available in build *201611160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/83d18304a1a9
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #267996 "Modify Tool Collection Path" check box doesn't work if "Use Build Analyzer" check box is switched on
(transplanted from d4ff4850cc2e8f61fc5fa677ed766eaa4dd89d18)
Comment 3 soldatov 2016-12-09 14:54:01 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo